function obj_atten = pathatten(objects,line_ends)
%PATHATTEN returns the attenuation due to objects at the end of the line
%Uses rayline for most of the work
%obj_atten = pathatten(objects,line_ends)

[i_point,s_ang, cum_atten,collision_obj] = rayline(objects,line_ends);
if ~isempty(cum_atten)
%   refscale = 1;
%   for k = 1:length(collision_obj)
%      refscale = refscale*(1-objects(collision_obj(k)).reflection);
%   end
%   if refscale < eps
%      refatten = 300;		%if reflectance scale factor is zero then make attenuation 300dB
%      %						i.e. really big but not infinite
%   else
%      refatten = -10*log10(refscale);
%   end
   
   obj_atten = cum_atten(length(cum_atten)); %+refatten;
else
   obj_atten = 0;
end

